# Generated by Django 4.2 on 2023-06-12 22:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Admin',
            fields=[
                ('Admin_id', models.IntegerField(primary_key=True, serialize=False)),
                ('username', models.CharField(max_length=254, unique=True)),
                ('password', models.CharField(max_length=255, unique=True)),
                ('fullname', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Categories',
            fields=[
                ('category_id', models.IntegerField(primary_key=True, serialize=False)),
                ('category_name', models.CharField(max_length=50, unique=True)),
                ('category_description', models.TextField()),
                ('category_image', models.ImageField(max_length=200, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Customers',
            fields=[
                ('customer_id', models.IntegerField(primary_key=True, serialize=False)),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=100, unique=True)),
                ('phone_number', models.CharField(max_length=20)),
                ('address', models.CharField(max_length=200)),
                ('city', models.CharField(max_length=50)),
                ('state', models.CharField(max_length=50)),
                ('postal_code', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Orders',
            fields=[
                ('order_id', models.IntegerField(primary_key=True, serialize=False)),
                ('order_date', models.DateTimeField(auto_now_add=True)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('payment_type', models.CharField(choices=[('C', 'Cash'), ('O', 'Online')], max_length=1)),
                ('status', models.CharField(choices=[('P', 'Pending'), ('C', 'Complete'), ('F', 'Failed')], default='P', max_length=1)),
                ('customer_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='related_id', to='customer.customers')),
            ],
        ),
        migrations.CreateModel(
            name='Products',
            fields=[
                ('Product_id', models.IntegerField(primary_key=True, serialize=False)),
                ('Product_name', models.CharField(max_length=50)),
                ('description', models.CharField(max_length=200)),
                ('price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('image', models.ImageField(max_length=200, upload_to='')),
                ('category_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='related_category', to='customer.categories')),
            ],
        ),
        migrations.CreateModel(
            name='Ordersdetails',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_id', models.IntegerField()),
                ('quantity', models.IntegerField()),
                ('item_notes', models.CharField(max_length=200)),
                ('item_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('item_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('item_total', models.DecimalField(decimal_places=2, max_digits=10)),
                ('item_status', models.CharField(max_length=1)),
                ('order_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='related_order', to='customer.orders')),
            ],
        ),
    ]
